package com.zcxk.common;

public class CoordinateFactory {
	
	   public static ICoordinate CreateCoordinate(Spheroid s)
       {
           ICoordinate coordinate;
           switch (s)
           {
               case Beijing54:
                   coordinate = new Beijing54();
                   break;
               case WGS84:
                   coordinate = new WGS84();
                   break;
               case Xian80:
                   coordinate = new Xian80();
                   break;
               default:
                   coordinate = null;
                   break;
           }
           return coordinate;
       }

       public static ICoordinate CreateCoordinate()
       {
           return new WGS84();
       }

}
